<template>
    <h1>My Account</h1>
    <p>Email : {{ auth.user?.email }}</p>
    <p>Role : {{ auth.user?.role }}</p>
    <h2>My pictures</h2>
    <ListPicture :list="pictures" />

</template>

<script setup lang="ts">
import { useAuth } from '@/stores/auth';
import { ref } from 'vue';
import type {Picture} from '@/entities'
import { onMounted } from 'vue';
import { fetchMyPictures } from '@/picture-service';
import ListPicture from '@/components/ListPicture.vue';


const auth = useAuth();
const pictures = ref<Picture[]>([]);

onMounted(async () => {
    pictures.value = await fetchMyPictures();
});

</script>